Bug 199527 - math/blitz++: unbreak with Texinfo 5.x
Summary: math/blitz++: unbreak with Texinfo 5.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-04-18 22:17 UTC by Jan Beich
Modified: 2016-06-18 14:39 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback-


Attachments
fix (482 bytes, patch)
2015-04-18 22:17 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-04-18 22:17:54 UTC
Created attachment 155710 [details]
fix

print/texinfo is used by DragonFly and FreeBSD 11+ as they have lack makeinfo(1) in base. The build fails due to the following error:

  ./arrays-expr.texi:718: unknown command `erf'

http://beefy4.isc.freebsd.org/data/head-amd64-default/p384115_s281601/logs/errors/blitz%2b%2b-0.9_8.log
Comment 1 Jan Beich freebsd_committer 2015-04-18 22:22:59 UTC
Sorry, no logs. Building TeX stuff would render my box useless for a few days.
Comment 2 Jan Beich freebsd_committer 2016-03-09 04:29:06 UTC
Unassign per maintainer timeout. I haven't tested the patch myself yet even on 11.0C.
Comment 3 commit-hook freebsd_committer 2016-06-17 08:00:33 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun 17 08:00:23 UTC 2016
New revision: 416999
URL: https://svnweb.freebsd.org/changeset/ports/416999

Log:
  math/blitz++: unbreak build on 11.0 and dragonfly

  ./arrays-expr.texi:718: unknown command `erf'

  PR:		199527
  Reported by:	pkg-fallout
  Approved by:	maintainer timeout (1 year)

Changes:
  head/math/blitz++/files/patch-doc-arrays-expr.texi
Comment 4 commit-hook freebsd_committer 2016-06-18 14:39:56 UTC
A commit references this bug:

Author: jbeich
Date: Sat Jun 18 14:39:50 UTC 2016
New revision: 417065
URL: https://svnweb.freebsd.org/changeset/ports/417065

Log:
  MFH: r416999

  math/blitz++: unbreak build on 11.0 and dragonfly

  ./arrays-expr.texi:718: unknown command `erf'

  PR:		199527
  Reported by:	pkg-fallout
  Approved by:	maintainer timeout (1 year)
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q2/
  branches/2016Q2/math/blitz++/files/patch-doc-arrays-expr.texi